ObjManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## network
Class ObjManager

    java.lang.Object
      network.ObjManager

public class ObjManager
extends java.lang.Object

ObjManager Klasse Verwaltet die in den Speicher geladenen Transportobjekte u. beinhaltet die nötigen Funktionen zu deren Verwaltung

Constructor Summary
`ObjManager(Queue cQueue, DBModule dbMod)` Konstruktor

Method Summary
`void` | `addTransObj(TransObj t)` Fügt ein Transportobjekt in den Vector hinzu
`void` | `addTransObjAt(int iPos, TransObj t)` Fügt ein Transportobjekt in den Vector hinzu
`int` | `count()` Liefert die Anzahl der gespeicherten Transportobjekte
`int` | `getFreeNr()` Liefert die Nr des nächstmöglichen freien TransObj = die nächst Nummer, die ein neues Transport Objekt haben kann
`int` | `getIndex(int iNr)` liefert den Vectorindex eines TransObj anhand der Nummer
`TransObj` | `getTransObj(int iNr)` Liefert ein gewünschtes Transport Objekt zurück
`TransObj` | `getTransObjAt(int iPos)` Liefert ein gewünschtes Transport Objekt zurück
`boolean` | `isInDB(int iNr)` schaut, ob ein TransObj in der Datenbank vorhanden ist od. nicht
`void` | `loadFiles(java.lang.String pPath)` Lädt alle Files aus dem Directory in den TransObj Vector
`void` | `removeTransObj(int iNr)` löscht ein TransObj aus dem Vector
`void` | `saveFiles(java.lang.String pPath)` speichert die TransObjs aus dem Speicher in ein Verzeichnis nach Wahl als ".obj-Files"
`void` | `syncPrgStart()` Synchronisiert die Daten nach Programmstart u. bringt die TransObjs aus DB u.
`void` | `syncTransObj()` Synchronisiert die Daten aus der Tabelle mit den Daten aus der Datenbank

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjManager

    public ObjManager(Queue cQueue,
                      DBModule dbMod)

  Konstruktor

Parameters:
  `cQueue` - Queue für Commands
  `dbMod` - DataAccessObject für MySQL Datenbank

Method Detail

### loadFiles

    public void loadFiles(java.lang.String pPath)

  Lädt alle Files aus dem Directory in den TransObj Vector

  Parameters:
    `pPath` - Pfad aus dem geladen werden soll

### saveFiles

    public void saveFiles(java.lang.String pPath)

  speichert die TransObjs aus dem Speicher in ein Verzeichnis nach Wahl als ".obj-Files"

  Parameters:
    `pPath` - Pfad in dem gespeichert werden soll

### syncPrgStart

    public void syncPrgStart()

  Synchronisiert die Daten nach Programmstart u. bringt die TransObjs aus DB u. Vector auf den geleichen Stand

### syncTransObj

    public void syncTransObj()

  Synchronisiert die Daten aus der Tabelle mit den Daten aus der Datenbank

### addTransObj

    public void addTransObj(TransObj t)

  Fügt ein Transportobjekt in den Vector hinzu

  Parameters:
    `t` - TransObj das hinzugefügt werden soll

### addTransObjAt

    public void addTransObjAt(int iPos,
                              TransObj t)

  Fügt ein Transportobjekt in den Vector hinzu

  Parameters:
    `iPos` - Index an dem das Objekt eingefügt werden soll
    `t` - TransObj das hinzugefügt werden soll

### removeTransObj

    public void removeTransObj(int iNr)

  löscht ein TransObj aus dem Vector

  Parameters:
    `iNr` - Nummer des TransObj

### getIndex

    public int getIndex(int iNr)

  liefert den Vectorindex eines TransObj anhand der Nummer

  Parameters:
    `iNr` - Nummer des TransObj
  Returns:
    die Nummmer wenn gefunden, sonst 0

### getTransObj

    public TransObj getTransObj(int iNr)

  Liefert ein gewünschtes Transport Objekt zurück

  Parameters:
    `iNr` - Nr des TransObj
  Returns:
    das gewünschte Transobj

### getTransObjAt

    public TransObj getTransObjAt(int iPos)

  Liefert ein gewünschtes Transport Objekt zurück

  Parameters:
    `iPos` - Index des TransObj
  Returns:
    das gewünschte Transobj

### count

    public int count()

  Liefert die Anzahl der gespeicherten Transportobjekte

  Returns:
    Anzahl der TransObjs

### isInDB

    public boolean isInDB(int iNr)

  schaut, ob ein TransObj in der Datenbank vorhanden ist od. nicht

  Parameters:
    `iNr` - Nummer des TransObj
  Returns:
    true wenn vorhanden, sonst false

### getFreeNr

    public int getFreeNr()

  Liefert die Nr des nächstmöglichen freien TransObj = die nächst Nummer, die ein neues Transport Objekt haben kann

  Returns:
    die freie Nummer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD